function SetBorderOn()
{
	ShowBorder();
	event.srcElement.bHasFocus = true;
}

function SetBorderOff()
{
	event.srcElement.bHasFocus = false;
	HideBorder();
}

function ShowBorder()
{
	if ( event.srcElement.oldSize != null )
	{
		event.srcElement.size = event.srcElement.oldSize;
	}
	event.srcElement.style.borderColor = "#C0C0C0";
}

function HideBorder()
{
	if ( !event.srcElement.bHasFocus )
	{
		if ( event.srcElement.value != "" )
		{
			event.srcElement.style.borderColor = "white";
		}
		else
		{
			event.srcElement.oldSize = event.srcElement.size;
			event.srcElement.size = 2;
			event.srcElement.style.borderColor = "lightgrey white white lightgrey";
		}
	}
}

function PropertyChange()
{
	if ( "value" == event.propertyName )
	{
		if ( event.srcElement.bHasFocus )
		{
			ShowBorder();
		}
		else
		{
			HideBorder();
		}
	}
}